'''
Module with description of Person class
'''
from taiga.models.models import Membership, User


class Person():
    '''
    Person class for describing informatron about users to page writer
    '''

    def __init__(self, member: Membership, user: User, role_name: str) -> (None):
        '''
        Constructor to Person object
        '''
        self.full_name = user.full_name
        self.username = user.username
        self.photo = user.big_photo
        self.bio = user.bio
        self.role_name = role_name

    def set_link(self, link: str) -> (None):
        '''
        Method for set link to instances of Person
        '''
        self.link = link
